Bug 1159012 - inconsistent \w and [[:alnum:]] behaviour
Summary: inconsistent \w and [[:alnum:]] behaviour
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grep
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Jan Kepler
Jana Heves
URL:
Whiteboard:
: 1108221 1187243 (view as bug list)
Depends On: 799863 1187243
Blocks: 1205796 1110700 1191021
TreeView+ depends on / blocked
 
Reported: 2014-10-30 17:01 UTC by Jaroslav Škarvada
Modified: 2015-11-19 06:56 UTC (History)
6 users (show)

Fixed In Version: grep-2.20-2.el7
Doc Type: Bug Fix
Doc Text:
Cause: Previously the behavior of \w and \W symbols in regular expressions were inconsistent with the behavior of [:alnum:] character class. Consequence: Some expressions could cause incorrect match/non-match. Fix: Upstream fix was backported that makes the behavior consistent. Result: Now \w is synonym for [_[:alnum:]] and \W for [^_[:alnum:]].
Clone Of: 799863
Environment:
Last Closed: 2015-11-19 06:56:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2111 normal SHIPPED_LIVE Low: grep security and bug fix update 2015-11-19 08:18:28 UTC

Comment 3 Jaroslav Škarvada 2015-02-17 17:04:56 UTC
*** Bug 1187243 has been marked as a duplicate of this bug. ***

Comment 4 Jaroslav Škarvada 2015-02-17 17:09:22 UTC
*** Bug 1108221 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2015-11-19 06:56:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2111.html


Note You need to log in before you can comment on or make changes to this bug.